#pragma once

#include "CoreMinimal.h"
#include "GradeChangePopupViewInterface.h"
#include "CoreGenericPopupWidget.h"
#include "GradeChangePopupWidget.generated.h"

class UGradeChangePopupViewData;

UCLASS(Blueprintable, EditInlineNew)
class UGradeChangePopupWidget : public UCoreGenericPopupWidget, public IGradeChangePopupViewInterface
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void SetData(const UGradeChangePopupViewData* data);

public:
	UGradeChangePopupWidget();
};

FORCEINLINE uint32 GetTypeHash(const UGradeChangePopupWidget) { return 0; }
